<a [routerLink]="['/home']" class="home"><mat-icon>home</mat-icon></a>
<div class="fluid-container d-flex">
  <div class="d-flex flex-column align-content-center">
    <div class="d-flex justify-content-around">
      <mat-form-field class="min-price-field">
        <mat-label>Min Price</mat-label>
        <input matInput type="number" [formControl]="minPrice" min="0" />
      </mat-form-field>

      <mat-form-field class="max-price-field mr-4">
        <mat-label>Max Price</mat-label>
        <input
          matInput
          type="number"
          [formControl]="maxPrice"
          min="1"
          max="30000"
        />
      </mat-form-field>
    </div>

    <button
      mat-raised-button
      [disabled]="minPrice.value > maxPrice.value"
      (click)="filterProducts({ orderBy: 'asc', sortBy: 'id' })"
    >
      Ok
    </button>

    <mat-form-field appearance="fill">
      <mat-label>Sort By</mat-label>
      <mat-select
        [formControl]="sortOptions"
        (selectionChange)="sortProducts()"
      >
        <mat-option [value]="{ sortBy: 'price', orderBy: 'asc' }"
          >Price: low to hight</mat-option
        >
        <mat-option [value]="{ sortBy: 'price', orderBy: 'desc' }"
          >Price: hight to low</mat-option
        >
        <mat-option [value]="{ sortBy: 'title', orderBy: 'asc' }"
          >Name: a-z</mat-option
        >
        <mat-option [value]="{ sortBy: 'title', orderBy: 'desc' }"
          >Name: z-a</mat-option
        >
        <mat-option [value]="{ sortBy: 'creation_date', orderBy: 'desc' }"
          >Date: newer</mat-option
        >
        <mat-option [value]="{ sortBy: 'creation_date', orderBy: 'asc' }"
          >Date: older</mat-option
        >
      </mat-select>
    </mat-form-field>
  </div>

  <div class="d-flex flex-wrap justify-content-flex-start">
    <div
      *ngFor="let product of products"
      class="product"
    >
      <app-product-card [product]="product"></app-product-card>
    </div>
  </div>
</div>
<mat-paginator
  [length]="totalSize"
  [pageSize]="pageSize"
  [pageIndex]="currentPage"
  [pageSizeOptions]="[5, 10, 25]"
  (page)="handlePage($event)"
>
</mat-paginator>
